package com.ssj.bean.sys.parentrole.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

/**
 * @author yangcan
 * 类描述:角色绑定小孩账号关联表
 * 创建时间:2019年3月5日 上午11:37:12

 */
@Entity
@Table(name = "ssj_parent_role")
public class SSJParentRole extends BaseEntity {

	private static final long serialVersionUID = 1L;

	private String vipId;//会员id
	private String userId; //主账号用户id
	private String name;//家长名称
	private String roleUserId;//家长角色用户id
	private String roleName;//家长角色名称
	
	@Column(name = "vip_id")
	public String getVipId() {
		return vipId;
	}
	public void setVipId(String vipId) {
		this.vipId = vipId;
	}
	
	@Column(name = "user_id")
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	@Column(name = "name")
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	@Column(name = "role_user_id")
	public String getRoleUserId() {
		return roleUserId;
	}
	public void setRoleUserId(String roleUserId) {
		this.roleUserId = roleUserId;
	}
	
	@Column(name = "role_name")
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
}
